Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235870 - invalid firmware error loading tda1004x module
Summary: invalid firmware error loading tda1004x module
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 16:02 UTC by cje
Modified: 2009-12-14 20:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-27 00:04:16 UTC


Attachments (Terms of Use)

Description cje 2007-04-10 16:02:32 UTC
Description of problem:
i can't use my DVB card in Dom0 using the XEN kernel.  i get an "invalid
firmware" error in the system log when i attempt to use it.  works fine if i
switch to non-XEN.

Version-Release number of selected component (if applicable):
kernel 2.6.20-1.2933.fc6xen
xen-3.0.3-8.fc6

How reproducible:
always

Steps to Reproduce:
1. boot into xen dom0
2. use the dvb device (start xine or mplayer with a dvb:// uri)
3. watch the system log
  
Actual results:
Apr  9 18:28:02 tv kernel: tda1004x: found firmware revision 0 -- invalid
Apr  9 18:28:02 tv kernel: tda1004x: waiting for firmware upload
(dvb-fe-tda10045.fw)...
Apr  9 18:28:02 tv kernel: saa7146_i2c_writeout: timed out waiting for end of xfer
Apr  9 18:28:03 tv last message repeated 4 times
Apr  9 18:28:04 tv kernel: tda1004x: firmware upload complete
Apr  9 18:28:04 tv kernel: tda1004x: found firmware revision 0 -- invalid
Apr  9 18:28:04 tv kernel: tda1004x: firmware upload failed

Expected results:
Apr 10 01:01:50 tv kernel: tda1004x: found firmware revision 0 -- invalid 
Apr 10 01:01:50 tv kernel: tda1004x: waiting for firmware upload
(dvb-fe-tda10045.fw)...
Apr 10 01:01:52 tv kernel: tda1004x: firmware upload complete
Apr 10 01:01:52 tv kernel: tda1004x: found firmware revision 2c -- ok

Additional info:

Comment 1 Red Hat Bugzilla 2007-07-25 01:40:20 UTC
change QA contact

Comment 2 Chris Lalancette 2008-02-27 00:04:16 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.